<html>
<head>
    <meta charset='utf-8'>
    <title>Datenbank Tabelle anzeigen</title>
    <link rel='stylesheet' href='khsw.css'>
</head>
<body>
<?php // ********** ab hier PHP **********
// Kopfzeile einbinden
include "khsw.php";
// ************************************************************************************************
// POST-Variablen auslesen
// ************************************************************************************************
echo "Liste aller POST-Variablen<br>";
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    foreach($_POST as $key => $value) {
        $value = trim($value);
        $value = stripslashes($value);
        $value = htmlspecialchars($value);
        $$key=$value;
        echo '$_POST["'.$key.'"]="'.$value.'"<br>';
    }
}
// ************************************************************************************************
// Verbindung zum Server aufbauen, Datenbank, Tabelle auswählen
// persönliche Konfigurationsdaten einbinden
include "config.inc.php";
// Datenbanknamen und Tabelle festlegen
if (empty($database) || empty($table)) die("Datenbank oder Tabelle nicht festgelegt.");
// Verbindung zum Datenbankserver definieren
$conn = new mysqli($servername, $username, $password);
// Verbindung prüfen
if ($conn->connect_error) { // Abbruch bei Fehler
  die("<p>Verbindung zum Server ".$servername." misslungen: " . $conn->connect_error."<p>\n");
}
$conn->set_charset('utf8'); // Zeichensatz utf-8 für die Verbindung zum Server einstellen
// Verbindung zur Datenbank aufbauen
$sql="USE $database";
if ($conn->query($sql) === TRUE) {
    echo "<p>Verbindung zur Datenbank $database erfolgreich.</p>\n";
} else {
    die("<p>Fehler bei der Verbindung zur Datenbank $database: " . $conn->error."</p>\n");
}
// ************************************************************************************************
// Tabelle anzeigen
    $sql = "SELECT t1.kuerzel `Kürzel`, t1.name `Parteiname` FROM $table t1";
    echo "<p>SQL-Befehl: $sql</p>\n";
    $result = $conn->query($sql);
    if ($result->num_rows > 0) { // Die Tabelle hat Inhalt: HTML-Tabelle vorbereiten
        echo "<table>";
        echo "<tr>";
        // erste Zeile für die Überschriften einlesen.
        $row = $result->fetch_assoc();
        foreach ($row as $key => $value) {
	        echo "<th>$key</th>";
        }
        echo "</tr>\n";
        // alle Zeilen einzeln ausgeben
        do {
	        echo "<tr>";
	        foreach ($row as $key => $value) {
		        echo "<td>".$value."</td>";
	        }
	        echo "</tr>\n";
        } while($row = $result->fetch_assoc());
        echo "</table>\n";
        if ($database==$username."_politik" && $table=="partei") {
            echo "Sonderfunktionen für Partei:<br>";
            echo "<form action='partei-sonder.php' method='POST'>
                  <input type='hidden' name='table' value='$table'>
	              <input type='hidden' name='database' value='$database'>
	              <input type='hidden' name='command' value='PMalsBK'>
	              <button>Parteimitglieder als Bundeskanzler</button>
	              </form><br>";
            echo "<form action='partei-sonder.php' method='POST'>
                  <input type='hidden' name='table' value='$table'>
	              <input type='hidden' name='database' value='$database'>
	              <input type='hidden' name='command' value='PMalsMP'>
	              <button>Parteimitglieder als Ministerpräsident</button>
	              </form><br><br><br>";
        }
    } else {
    echo "<p>Die Tabelle $table ist leer</p>\n";
    }
// ************************************************************************************************
// Verbindung zum Datenbankserver schließen
$conn->close(); // ********** ab hier HTML **********
echo "<form action='table.php' method='post'>\n";
echo "<input type='hidden' name='database' value='$database'>\n";
echo "<input type='hidden' name='table' value='$table'>\n";
echo "<button>Tabelle $table anzeigen</button>\n";
echo "</form>\n";
?> 

</body>
</html> 